virtualenv -p python3.5 venv

source ./venv/bin/activate

pip install Django==2.0.3      # 2.0.3

# s binarne distribuovanou libssl 
pip install psycopg2    

pip install django-statici18n   # preklad Javascript souboru

# nahrada za SUDS, zalozeno na lxml
#pip install zeep

pip install bleach


##
#       Keycloak SSO
##

#pip install git+https://github.com/jhuapl-boss/django-oidc.git
#pip install git+https://github.com/jhuapl-boss/drf-oidc-auth.git
#pip install git+https://github.com/jhuapl-boss/boss-oidc.git

pip install -U django-auth-oidc pyjwkest
#pip install -U service_identity
#pip install -U openid_connect


##
#       Database setup
##
psql <<SQL
CREATE USER piratinalodeni;
CREATE DATABASE piratinalodeni OWNER=piratinalodeni ENCODING='UTF8' LC_COLLATE='cs_CZ.UTF-8' template template0;
SQL

##
#       App Setup
##
./src/manage.py makemigrations nalodeni
./src/manage.py migrate


